Xcode 11.2.1(11B53)@import FBSDKCoreKit错误

哈利尔·科斯贡

Xcode版本11.2.1(11B53)

我的pod文件在这里;

platform :ios, '9.0'

target 'OnlineHeadBall2' do
  use_frameworks!

  pod 'Bolts'
  pod 'FBSDKCoreKit'
  pod 'FBSDKLoginKit'
  pod 'FBSDKShareKit'
  pod 'Adjust'
  pod 'Fabric'
  pod 'Crashlytics'
  pod 'Firebase/Core'
  pod 'Firebase/Analytics'
  pod 'OneSignal', '>= 2.6.2', '< 3.0'
  pod 'Branch', '= 0.29.3'

  #core SDK
  pod 'AMRSDK', '~> 1.4'
  #mediation adapters

  pod 'AMRAdapterAdcolony', '~> 4.1'
  pod 'AMRAdapterAdmob', '~> 7.51'
  pod 'AMRAdapterAdmost', '~> 1.2'
  pod 'AMRAdapterFacebook', '~> 5.6'
  pod 'AMRAdapterHyprmx', '~> 5.2'
  pod 'AMRAdapterIronsource', '~> 6.8'
  pod 'AMRAdapterMintegral', '~> 5.8'
  pod 'AMRAdapterMytarget', '~> 5.3'
  pod 'AMRAdapterQumpara', '~> 1.1'
  pod 'AMRAdapterTapjoy', '~> 12.3'
  pod 'AMRAdapterTiktok', '~> 2.3'
  pod 'AMRAdapterUnity', '~> 3.3'
  pod 'AMRAdapterVungle', '~> 6.4'

end

当我尝试“存档”我的项目时,会发生错误。在禁用C ++模块时使用'@import',请考虑使用-fmodules和-fcxx-modules

为成功构建项目我该怎么做?

错误画面截图

哈利尔·科斯贡

将-fcxx-modules添加到Build Settings-> Other C ++ Flags-> Debug and Release字段。

在此处输入图片说明

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章